/*
This file is part of KumbangTools

    KumbangTools is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    KumbangTools is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with KumbangTools; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package kumbang.configurator.client.plugin;

/**
 * This class stores static String-fields, which are used to put images into
 * Eclipse's ImageRegistry
 * 
 */
public class Icons {
	
	public Icons() {}
	
	public static int ICON_SIZE = 16;
	
	public static final String ATTRIBUTE = "attribute.gif";
	public static final String BINDING_SOURCE = "binding_source.gif";
	public static final String BINDING_TARGET = "binding_target.gif";
	public static final String COMPONENT = "component.gif";
    public static final String CONNECT = "connect.gif";
    public static final String CURSOR_CONNECT_1 = "cursor_connect_1.gif";
    public static final String CURSOR_CONNECT_2 = "cursor_connect_2.gif";
    public static final String CURSOR_DISCONNECT = "cursor_disconnect.gif";
    public static final String CURSOR_ZOOM = "cursor_zoom.gif";
    public static final String DISCONNECT = "disconnect.gif";
	public static final String DOWN = "down.gif";
	public static final String FEATURE = "feature.gif";
	public static final String PROVIDED_INTERFACE = "interface_prov.gif";
	public static final String REQUIRED_INTERFACE = "interface_req.gif";
	public static final String REQUIRED_INTERFACE_UML = "interface_uml_required.gif";
	public static final String PROVIDED_INTERFACE_UML = "interface_uml_provided.gif";
	public static final String LOGO = "logo.gif";
    public static final String NEW = "new.gif";
    public static final String SAVE = "save.gif";
    public static final String NEW_ATTRIBUTE = "newAttribute.gif";
    public static final String NEW_COMPONENT = "newComponent.gif";
    public static final String NEW_FEATURE = "newFeature.gif";
    public static final String NEW_INTERFACE = "newInterface.gif";
	public static final String PART = "part.gif";
	public static final String SELECT = "select.gif";
	public static final String STATUS_INCOMPLETE = "statusIncomplete_large.gif";
	public static final String STATUS_COMPLETE = "statusComplete_large.gif";
	public static final String TRASH_CAN = "delete.gif";
	public static final String ZOOM = "zoom.gif";
	public static final String ZOOM_OUT = "zoom_out.gif";
    public static final String ASSET = "treasure.gif";
    public static final String KEY = "key.gif";
    public static final String PRINCIPAL = "principal.gif";
    public static final String NETWORK = "network.gif";
    public static final String LOCK = "lock.gif";
    public static final String COUNTERMEASURE = "shield.gif";
    public static final String THREAT = "lightning.gif";
    public static final String TURPO = "turpo.gif";
    public static final String DEVICE = "phone.gif";
    public static final String INTERFACE_LARGE ="interface_large.gif";
    
	
}
