/*
This file is part of KumbangTools

    KumbangTools is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    KumbangTools is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with KumbangTools; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package kumbang.configurator.util.test;

import java.io.StringReader;

import kumbang.core.configuration.reference.Reference;
import kumbang.core.language.parser.KumbangParser;
import kumbang.core.language.parser.ParseException;
import kumbang.core.language.syntaxtree.SyntaxConfigurationReference;
import kumbang.core.language.visitor.ConfigurationReferenceVisitor;

public class ConfigurationReferenceTest {
	

	/**
	 * @param args
	 */
	public static void main(String[] args) {
//		StringReader sr = new StringReader("component-root.nodes[0]:Node.nodeMain->foobar:IRpc=component-root.server:Server->requestData:IRPCExt");
		StringReader sr = new StringReader("component-root.nodes[0]:Node.nodeMain@foobar=baafor");
		
		new KumbangParser(sr);
		try {
			SyntaxConfigurationReference scr = KumbangParser.SyntaxConfigurationReference();
			Reference crv = ConfigurationReferenceVisitor.getReference(scr);
			scr = null;
		} catch (ParseException e) {
			e.printStackTrace();
		}
	}
}
