/*
This file is part of KumbangTools

    KumbangTools is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    KumbangTools is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with KumbangTools; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


/*
 * Created on 8.11.2005
 *
 */
package kumbang.core.configuration.description;

import kumbang.core.configuration.instance.Instance;

import java.io.IOException;
import java.io.File;

import java.util.List;

/**
 * @author vmyllarn
 */
public abstract class ConfigurationDescription {

    protected final String INDENT = "\t";
    
//    protected List<Instance> roots;
//    
//    protected String configurationName;
//    
//    public ConfigurationDescription(List<Instance> roots, String configurationName) {
//    	this.roots = roots;
//    	this.configurationName = configurationName;
//    }
    
    public abstract void describe(File exportFile, List<Instance> roots, String configurationName) throws IOException;
}
