/*
This file is part of KumbangTools

    KumbangTools is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    KumbangTools is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with KumbangTools; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


/*
 * ClientException.java
 *
 * Created on 6. toukokuuta 2004, 14:03
 */

package kumbang.configurator.client.core.exception;

import kumbang.util.KumbangException;

/**
 *
 * @author  vmyllarn
 */
public class ClientException extends KumbangException {
    
    /**
     * Creates a new instance of <code>ClientException</code> without detail message.
     */
    public ClientException() {
    }
    
    
    /**
     * Constructs an instance of <code>ClientException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public ClientException(String msg) {
        super(msg);
    }
}
