/*
This file is part of KumbangTools

    KumbangTools is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    KumbangTools is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with KumbangTools; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


/*
 * DiagramFilter.java
 *
 * Created on 18. toukokuuta 2004, 19:15
 */

package kumbang.configurator.client.gui.diagram;

/**
 *
 * @author  vmyllarn
 */
public class DiagramFilter {
    
    private boolean showType;
    
    private boolean showName;
    
    private boolean showPotential;
    
    private boolean showConnectors;
    
    /** Creates a new instance of DiagramFilter */
    public DiagramFilter() {
        showType = true;
        showName = true;
        showPotential = true;
        showConnectors = true;
    }
    
    public boolean showsTypes() {
        return showType;
    }
    
    public boolean showsNames() {
        return showName;
    }
    
    public boolean showsPotential() {
        return showPotential;
    }
    
    public boolean showsConnections() {
        return showConnectors;
    }
    
    public void showTypes(boolean show) {
        showType = show;
    }
    
    public void showNames(boolean show) {
        showName = show;
    }
    
    public void showPotential(boolean show) {
        showPotential = show;
    }
    
    public void showConnections(boolean show) {
        showConnectors = show;
    }
}
