/*
This file is part of KumbangTools

    KumbangTools is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    KumbangTools is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with KumbangTools; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


package kumbang.util;

import java.util.logging.Level;
import java.util.logging.Logger;

public class KumbangLogger {
    
    public static Logger logger;
    
    public static void initLogger(String parent) {
        if (logger == null) {
            if (parent != null) {
                logger = Logger.getLogger(parent+".kumbang");
            }
            else {
                logger = Logger.getLogger("kumbang");
            }
            logger.setLevel(Level.ALL);
        }
    }
    
    public static void initLogger() {
        initLogger(null);
    }
    
}
